%global module_name util-deprecate

Name:           nodejs-%{module_name}
Version:        1.0.2
Release:        1%{?dist}
Summary:        The Node.js `util.deprecate()` function with browser support

License:        MIT
URL:            https://github.com/TooTallNate/util-deprecate
Source0:        https://github.com/TooTallNate/%{module_name}/archive/%{version}.tar.gz
BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging

%description
In Node.js, this module simply re-exports the util.deprecate() function.
In the web browser (i.e. via browserify), a browser-specific implementation
of the util.deprecate() function is used.

%prep
%setup -q -n %{module_name}-%{version}
rm -rf node_modules

%build
# nothing to build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{module_name}
cp -pr package.json *.js %{buildroot}%{nodejs_sitelib}/%{module_name}
%nodejs_symlink_deps

%files
%doc README.md
%license LICENSE
%{nodejs_sitelib}/%{module_name}

%changelog
* Wed Feb 24 2016 Parag Nemade <pnemade AT redhat DOT com> - 1.0.2-1
- Update to 1.0.2

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jul 16 2015 Parag Nemade <pnemade AT redhat DOT com> - 1.0.1-1
- Initial packaging

